Submit a loyalty claim
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/customer/loyalty/claims \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"orderId": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/customer/loyalty/claims"
payload = {
"orderId": "<string>",
"note": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({orderId: '<string>', note: '<string>'})
};
fetch('https://api.craveup.com/api/v1/storefront/customer/loyalty/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"claimId": "<string>",
"submittedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}Loyalty
Submit a loyalty claim
POST
/
customer
/
loyalty
/
claims
Submit a loyalty claim
Authorizations
Merchant-bound customer session JWT returned by OTP verification.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Body
application/json
Response
Submitted loyalty claim.
Required string length:
1 - 128Available options:
pending, approved, rejected, applied, failed Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$⌘I